<mat-card>
  <mat-card-title>Inserisci i dettagli richiesti</mat-card-title>
  <form class="example-form">

    <h4>Hash function</h4>

    <mat-form-field appearance="fill">

      <select matNativeControl required [(ngModel)]="hashType" [ngModelOptions]="{standalone: true }">
        <option>MD5</option>
        <option>SHA-1</option>
        <option>SHA-256</option>
        <option>SHA-512</option>
      </select>
    </mat-form-field>

    <mat-form-field class="example-form">
      <mat-label>Encrypted Password</mat-label>
      <input matInput type="text" [(ngModel)]="hash" [ngModelOptions]="{standalone: true}">
      <button mat-button *ngIf="hash!=''" matSuffix mat-icon-button aria-label="Clear" (click)="cancelPw()">
        <mat-icon>close</mat-icon>
      </button>

    </mat-form-field>


    <mat-form-field class="example-form">

      <mat-label>Number of Threads</mat-label>
      <input matInput type="number" [(ngModel)]="numberOfThreads " [ngModelOptions]="{standalone: true}">

    </mat-form-field>

    <mat-form-field class="example-form">

      <mat-label>Max Plaintext Length</mat-label>
      <input matInput type="number" [(ngModel)]="maxPlaintextLength" [ngModelOptions]="{standalone: true}">

    </mat-form-field>
  </form>


  <button mat-button color="primary" (click)="breakHash()">Break</button>
  <mat-card-content class="plain-pw" align="center" *ngIf="sectoolService.hashSuccess">
    Password: {{sectoolService.plain}}</mat-card-content>
</mat-card>

